[Rubygems-developers] Specifying equivalent modules?

Thomas Palmer public at bagotricks.com
Thu Apr 19 00:19:24 EDT 2007


Eric Hodel wrote:
> No, they'd install the java platformed mongrel, much like there's a  
> mswin and ruby platformed mysql gem.  Nothing changes in code  
> anywhere, people running jruby instead install java gems.
>
>   

This still leaves the issues I mentioned:

1. "gem install" doesn't default to the current platform (in my tests), 
so people are forced to choose instead of letting install just work.

2. I can't install and have active in the same local repo multiple 
platforms of the same gem (i.e., different ones active for different 
platforms).

3. People getting confused when saying "Hey, this library doesn't work 
according to docs!" and mistaking the responsible party. Maybe that can 
be somewhat mitigated by clarifying in the author and other fields of 
the platform-specific gem.

Any official thoughts on these, especially items 1 and 2? (Those are 
more of the technical side. Item 3 is more of a social/communication issue.)

Thanks much,
Tom



More information about the Rubygems-developers mailing list